Debian Bug report logs - #374106
ITA: debnest -- Nested Build System of Debian Source Package

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mohammed Adnène Trojette <adn+deb@diwi.org>

Date: Sat, 17 Jun 2006 12:18:11 UTC

Owned by: Deepak Tripathi <apenguinlinux@gmail.com>

Severity: normal

Fixed in version debnest/0.0.11

Done: Peter Makholm <peter@makholm.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Masato Taruishi <taru@valinux.co.jp>, <wnpp@debian.org>:
Bug#374106; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
New Bug report received and forwarded. Copy sent to Masato Taruishi <taru@valinux.co.jp>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mohammed Adnène Trojette <adn+deb@diwi.org>
To: submit@bugs.debian.org
Subject: O: debnest -- Nested Build System of Debian Source Package
Date: Sat, 17 Jun 2006 14:07:26 +0200
Package: wnpp
Severity: normal

The current maintainer of debnest, Masato Taruishi <taru@valinux.co.jp>,
is apparently not active anymore.  Therefore, I orphan this package now.

If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: debnest
Binary: debnest
Version: 0.0.10
Priority: optional
Section: devel
Maintainer: Masato Taruishi <taru@valinux.co.jp>
Build-Depends-Indep: debhelper (>> 4.0.0)
Architecture: all
Standards-Version: 3.6.0
Format: 1.0
Directory: pool/main/d/debnest
Files:
 f681304f689591972c6c522064d8f577 502 debnest_0.0.10.dsc
 f02ce5d0663dbfc3ef94585e13403225 429546 debnest_0.0.10.tar.gz

Package: debnest
Priority: optional
Section: devel
Installed-Size: 572
Maintainer: Masato Taruishi <taru@valinux.co.jp>
Architecture: all
Version: 0.0.10
Depends: dpkg-dev, devscripts, make, wget
Suggests: cdbs, dpatch
Filename: pool/main/d/debnest/debnest_0.0.10_all.deb
Size: 431058
MD5sum: 0a47b578a4f3fefcbcb66f81558e5a29
Description: Nested Build System of Debian Source Package
 Debnest provides a build system to create debian binary packages
 such that original upstream sources include debian source packages,
 i.e. .dsc and other files such as .orig.tar.gz and diff.gz, or .tar.gz.
 In build-time, this system unpacks debian source packages by
 'dpkg-source -x' and propagates policy-defined targets of debian/rules
 into the unpacked sources.
 .
 This allows you to:
  * Manage your own files under debian/ such as debian/rules
    debian/control, debian/changelog and so on separately away from
    their original packages.
  * Create your own tuned packages with your own pre-defined
    DEB_BUILD_OPTIONS, CC in your debian/rules from their
    original packages without specifying any environment
    variables in each build-time.
  * Create your own tuned packages with patches to their
    original sources as well as to debian/* files, separating
    them completely away from their original source packages.
  * Make it possible to redistribute your modified debian package
    based on another debian source package which restricts
    source-code from being distributed in modified form _only_ by
    the distribution of "patch files" with the source code for the
    purpose of modifying the program at build time.
Tag: suite::debian

-- 
adn
Mohammed Adnène Trojette



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#374106; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Deepak Tripathi <apenguinlinux@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 374106@bugs.debian.org (full text, mbox):

From: Deepak Tripathi <apenguinlinux@gmail.com>
To: 374106@bugs.debian.org, control@bugs.debian.org
Subject: ITA: debnest -- Nested Build System of Debian Source Package
Date: Thu, 12 Jul 2007 23:00:46 +0000
retitle 374106 ITA: debnest -- Nested Build System of Debian Source Package

owner 374106 !

I want to adopt this package .

Some information about this package:

Package: debnest
Binary: debnest
Version: 0.0.10
Priority: optional
Section: devel
Maintainer: Masato Taruishi <taru@valinux.co.jp>
Build-Depends-Indep: debhelper (>> 4.0.0)
Architecture: all
Standards-Version: 3.6.0
Format: 1.0
Directory: pool/main/d/debnest
Files:
f681304f689591972c6c522064d8f577 502 debnest_0.0.10.dsc
f02ce5d0663dbfc3ef94585e13403225 429546 debnest_0.0.10.tar.gz

Package: debnest
Priority: optional
Section: devel
Installed-Size: 572
Maintainer: Masato Taruishi <taru@valinux.co.jp>
Architecture: all
Version: 0.0.10
Depends: dpkg-dev, devscripts, make, wget
Suggests: cdbs, dpatch
Filename: pool/main/d/debnest/debnest_0.0.10_all.deb
Size: 431058
MD5sum: 0a47b578a4f3fefcbcb66f81558e5a29
Description: Nested Build System of Debian Source Package
Debnest provides a build system to create debian binary packages
such that original upstream sources include debian source packages,
i.e. .dsc and other files such as .orig.tar.gz and diff.gz, or .tar.gz.
In build-time, this system unpacks debian source packages by
'dpkg-source -x' and propagates policy-defined targets of debian/rules
into the unpacked sources.
.
This allows you to:
 * Manage your own files under debian/ such as debian/rules
   debian/control, debian/changelog and so on separately away from
   their original packages.
 * Create your own tuned packages with your own pre-defined
   DEB_BUILD_OPTIONS, CC in your debian/rules from their
   original packages without specifying any environment
   variables in each build-time.
 * Create your own tuned packages with patches to their
   original sources as well as to debian/* files, separating
   them completely away from their original source packages.
 * Make it possible to redistribute your modified debian package
   based on another debian source package which restricts
   source-code from being distributed in modified form _only_ by
   the distribution of "patch files" with the source code for the
   purpose of modifying the program at build time.
Tag: suite::debian



thanks




Changed Bug title to `ITA: debnest -- Nested Build System of Debian Source Package' from `O: debnest -- Nested Build System of Debian Source Package'. Request was from Deepak Tripathi <apenguinlinux@gmail.com> to control@bugs.debian.org. (Thu, 12 Jul 2007 17:00:03 GMT) Full text and rfc822 format available.

Owner recorded as Deepak Tripathi <apenguinlinux@gmail.com>. Request was from Deepak Tripathi <apenguinlinux@gmail.com> to control@bugs.debian.org. (Thu, 12 Jul 2007 17:00:03 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Mohammed Adnène Trojette <adn+deb@diwi.org> Request was from Bart Martens <bartm@knars.be> to control@bugs.debian.org. (Fri, 13 Jul 2007 04:42:03 GMT) Full text and rfc822 format available.

Bug reopened, originator not changed. Request was from Bart Martens <bartm@knars.be> to control@bugs.debian.org. (Fri, 13 Jul 2007 05:06:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Deepak Tripathi <apenguinlinux@gmail.com>:
Bug#374106; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Peter Makholm <peter@makholm.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Deepak Tripathi <apenguinlinux@gmail.com>. Full text and rfc822 format available.

Message #23 received at 374106@bugs.debian.org (full text, mbox):

From: Peter Makholm <peter@makholm.net>
To: Deepak Tripathi <apenguinlinux@gmail.com>
Cc: 374106@bugs.debian.org
Subject: ITA: debnest -- Nested Build System of Debian Source Package
Date: Wed, 31 Oct 2007 11:07:40 +0000
Hi,

In July you posted an Intend To Adopt the debnest package. Is this
still you plan?

Do you have any development plans for the software or did you only plan
to do pure maintanince of the package?

//Makholm




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Deepak Tripathi <apenguinlinux@gmail.com>:
Bug#374106; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Peter Makholm <peter@makholm.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Deepak Tripathi <apenguinlinux@gmail.com>. Full text and rfc822 format available.

Message #28 received at 374106@bugs.debian.org (full text, mbox):

From: Peter Makholm <peter@makholm.net>
To: Deepak Tripathi <apenguinlinux@gmail.com>
Cc: 374106@bugs.debian.org, Masato Taruishi <taru@valinux.co.jp>
Subject: Intent to adopt debnest
Date: Thu, 08 Nov 2007 13:42:59 +0000
The debnest package hasn't seen a real update since October 2004 and
was marked as orphaned in June 2006. Deepak Tripathi posted an intent
to adopt this summer, but hasn't made any upload.

As debnest fits perfectly in a project I'm doing I would like to have
debnest maintained and developed. For this I have created an alioth
project[0] and comitted the source to svn[1]. I have made the
following enhancements

  * Better integration with cdbs to enable support for other patchs
    systems

  * Recursive unpacking of nested packages

  * Unpack sources in unversioned directories to ease handling of
    patches between versions of nested packages

all of which I currently need. I have some other plans for development
outlined in the TODO file[2]. If no-one complains I plan to upload a
new version of debnest within a fortnight (if ftp-master is fixed).

0) http://alioth.debian.org/projects/debnest/
1) http://svn.debian.org/wsvn/debnest/trunk/
2) http://svn.debian.org/wsvn/debnest/trunk/TODO?op=file&rev=0&sc=0

//Peter Makholm




Reply sent to Peter Makholm <peter@makholm.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mohammed Adnène Trojette <adn+deb@diwi.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 374106-close@bugs.debian.org (full text, mbox):

From: Peter Makholm <peter@makholm.net>
To: 374106-close@bugs.debian.org
Subject: Bug#374106: fixed in debnest 0.0.11
Date: Fri, 16 Nov 2007 13:47:02 +0000
Source: debnest
Source-Version: 0.0.11

We believe that the bug you reported is fixed in the latest version of
debnest, which is due to be installed in the Debian FTP archive:

debnest_0.0.11.dsc
  to pool/main/d/debnest/debnest_0.0.11.dsc
debnest_0.0.11.tar.gz
  to pool/main/d/debnest/debnest_0.0.11.tar.gz
debnest_0.0.11_all.deb
  to pool/main/d/debnest/debnest_0.0.11_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 374106@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Makholm <peter@makholm.net> (supplier of updated debnest package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 16 Nov 2007 14:25:53 +0100
Source: debnest
Binary: debnest
Architecture: source all
Version: 0.0.11
Distribution: unstable
Urgency: low
Maintainer: Peter Makholm <peter@makholm.net>
Changed-By: Peter Makholm <peter@makholm.net>
Description: 
 debnest    - Nested Build System of Debian Source Package
Closes: 374106
Changes: 
 debnest (0.0.11) unstable; urgency=low
 .
   * New maintainer (Closes: #374106)
   * Rewrote cdbs class to fully support all cdbs-enabled patch systems
   * The default rules file now uses cdbs
     (Non cdbs usage will probbably be depracated in the future)
   * As default do not use version number in build directories
     (Makes patching easier)
   * Make is possible to call a unpack target in nested packages
     (Used for patching packages which themself is unpacked on build time)
   * Updated /usr/share/doc/debnest/examples
     hello-debian is updated to use the cdbs rules
     debnest-edit-patch is updated to current dpatch and renamed
Files: 
 b454a3f6e82bfe982a2ea351a0ea8e3b 593 devel optional debnest_0.0.11.dsc
 a3df97bf42f4f9c6964c2a5f34b767a8 426950 devel optional debnest_0.0.11.tar.gz
 32c2c4d973e1ebe4fe5fd53f0d61c6b6 429344 devel optional debnest_0.0.11_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHPZuIobE/LCyLGVoRAvi3AJ0VWw8Q00cWUdBNiPZ5Is0QuhfXAQCeIL7h
ibJQMoTZVJ+kvc5hU2Dvgn0=
=HsX2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Aug 2008 08:24:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:03:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.